#include <Servo.h> 

Servo myServo;
const int delayTime = 2000;
const int servoPin = 8;

void setup() {
  myServo.attach(servoPin);
} 

void loop() { 
  turretL();
  turretR();
  // Rotate turret in steps
  //  Arguments: min-position, max-position,
  //  delay between steps
  turretStep(0, 180, 150);
  turretCenter();
  delay(delayTime);
} 

void turretR() {
  myServo.write(0);
  delay(delayTime);
}

void turretL() {
  myServo.write(180);
  delay(delayTime);
}

void turretStep(int minVal, int maxVal, int stepDelay) {
  for(int i=minVal; i<=maxVal; i+=6) {
    myServo.write(i);
    // Read ultrasound here
    delay(stepDelay);
  }
}

void turretCenter() {
  myServo.write(90);
  delay(delayTime);
}

